package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintControlClssfcBucket;

public interface MaintControlClssfcBucketService {
List<MaintControlClssfcBucket> getMaintControlClssfcBuckets();
	
	List<MaintControlClssfcBucket> getMaintControlClssfcBucketsExceptThis(Integer legalEntityCode,String controlClssfcBucketCode);
	
	MaintControlClssfcBucket getMaintControlClssfcBucket(Integer legalEntityCode, String controlClssfcBucketCode, String status);
	
	DataTableResponse getMaintControlClssfcBuckets(Integer legalEntityCode, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	List<MaintControlClssfcBucket> getMaintControlClssfcBucketforUpdate(Integer legalEntityCode, String status);
	
	void createMaintControlClssfcBucket(List<MaintControlClssfcBucket> maintControlClssfcBuckets)throws Exception;
	
	void updateMaintControlClssfcBuckets(List<MaintControlClssfcBucket> maintControlClssfcBuckets);
	
	Boolean isMaintControlClssfcBucket(Integer legalEntityCode);
	
	MaintControlClssfcBucket getControlClssfcBucketOnPercentage(Integer legalEntityCode, Integer riskScore);

	Boolean isControlClssfcBucketCode(Integer legalEntityCode,  String controlClssfcBucketCode);
}
